Bug 874553 - rd.debug boot option doesn't log to /run/initramfs/init.log
rd.debug boot option doesn't log to /run/initramfs/init.log
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-11-08 07:39 EST by Jan Stodola
Modified: 2013-05-29 09:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 09:45:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-11-08 07:39:42 EST
Description of problem:
When booting with rd.debug boot option, dracut should log to /run/initramfs/init.log.

man dracut.cmdline says:
...
rd.debug
    set -x for the dracut shell and logs to dmesg, console and /run/initramfs/init.log
...

With dracut-024-5.git20121019.fc18, this logging file doesn't exist at all:
switch_root:/# ls /run/initramfs/
root-fsck  switch-root.conf
switch_root:/# cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.6.6-3.fc18.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 rd.lvm.lv=fedora/root rd.debug rd.break
switch_root:/#

Version-Release number of selected component (if applicable):
dracut-024-5.git20121019.fc18

How reproducible:
always

Steps to Reproduce:
1. append "rd.debug rd.break" to the kernel command line and boot
2. wait for dracut rescue shell
3. look for /run/initramfs/init.log
  
Actual results:
/run/initramfs/init.log is missing

Expected results:
/run/initramfs/init.log is present and contains debug messages
Comment 1 Harald Hoyer 2012-11-29 10:34:43 EST
I have a patch for /run/initramfs/sosreport.txt with extended information to attach to a bug report.
Comment 2 Adam Williamson 2012-12-03 12:57:46 EST
Discussed at 2012-12-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-12-03/f18final-blocker-review-1.2.2012-12-03-17.25.log.txt . Rejected as a blocker: this doesn't obviously hit any of the release criteria, and no particular justification was provided here or in the meeting beyond 'it makes debugging dracut a pain' - which is a shame, but doesn't obviously seem to be a release blocking issue.
Comment 3 Harald Hoyer 2013-05-29 09:45:51 EDT
fixed with F19

Note You need to log in before you can comment on or make changes to this bug.